%global momorel 1
%global qtver 4.5.2

Summary: Powerful sequencer-, synthesizer- and sample-studio for Linux
Name: lmms
Version: 0.4.5
Release: %{momorel}m%{?dist}
License: GPLv2+
URL: http://lmms.sourceforge.net/
Group: Applications/Multimedia
Source0: http://dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.bz2
NoSource: 0
Patch0: %{name}-0.4.0-desktop.patch
Patch1: %{name}-0.4.0-libdir.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildPreReq: qt-devel >= %{qtver}
BuildPreReq: ImageMagick
BuildPreReq: SDL-devel
BuildPreReq: alsa-lib-devel
BuildPreReq: cmake
BuildPreReq: desktop-file-utils
BuildPreReq: fftw-devel
BuildPreReq: flac-devel
BuildPreReq: fluidsynth-devel
BuildPreReq: jack-devel
BuildPreReq: ladspa-devel
BuildPreReq: libsndfile-devel
BuildPreReq: libsamplerate-devel
BuildPreReq: libvorbis-devel
BuildPreReq: pulseaudio-libs-devel
%ifarch %{ix86}
BuildPreReq: wine-devel >= 1.0-0.994.1m
%endif
Obsoletes: %{name}-extras

%description
LMMS aims to be a free alternative to popular (but commercial and closed-
source) programs like FruityLoops, Cubase and Logic giving you the ability of
producing music with your computer by creating/synthesizing sounds, arranging
samples, playing live with keyboard and much more...

LMMS combines the features of a tracker-/sequencer-program (pattern-/channel-/
sample-/song-/effect-management) and those of powerful synthesizers and
samplers in a modern, user-friendly and easy to use graphical user-interface.

LMMS is still in heavy development, so with this version please don't expect a
complete, ready and bugfree program!!

%package devel
Summary: Header files from lmms
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Includes files for developing programs based on lmms.

%prep
%setup -q

%patch0 -p1 -b .desktop~
%patch1 -p1 -b .libdir

%build
export CFLAGS="%{optflags}"
export CXXFLAGS="%{optflags}"

%{cmake} .

make %{?_smp_mflags} VERBOSE=1

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# install desktop file
desktop-file-install --vendor= --delete-original \
  --dir %{buildroot}%{_datadir}/applications \
  --remove-category Application \
  %{buildroot}%{_datadir}/applications/lmms.desktop

# install icons
mkdir -p %{buildroot}%{_datadir}/icons/hicolor/{16x16,32x32,48x48,64x64}/apps
convert -scale 16x16 data/themes/default/icon.png %{buildroot}%{_datadir}/icons/hicolor/16x16/apps/%{name}.png
convert -scale 32x32 data/themes/default/icon.png %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/%{name}.png
convert -scale 48x48 data/themes/default/icon.png %{buildroot}%{_datadir}/icons/hicolor/48x48/apps/%{name}.png
install -m 644 data/themes/default/icon.png  %{buildroot}%{_datadir}/icons/hicolor/64x64/apps/%{name}.png

# link icon
mkdir -p %{buildroot}%{_datadir}/pixmaps
ln -s ../icons/hicolor/48x48/apps/%{name}.png %{buildroot}%{_datadir}/pixmaps/%{name}.png

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL README TODO
%{_bindir}/lmms
%{_libdir}/lmms
%{_datadir}/applications/lmms.desktop
%{_datadir}/icons/hicolor/*/apps/lmms.png
%{_datadir}/lmms
%{_mandir}/man1/lmms.1*
%{_datadir}/menu/lmms
%{_datadir}/mime/packages/lmms.xml
%{_datadir}/pixmaps/lmms.png

%files devel
%defattr(-, root, root)
%{_includedir}/lmms

%changelog
* Sun Aug 23 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.4.5-1m)
- version 0.4.5

* Wed May  6 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.4.4-2m)
- Obsoletes: lmms-extras

* Tue May  5 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.4.4-1m)
- version 0.4.4
- remove wineg++.patch

* Sun Mar 29 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.4.3-2m)
- follow wineg++ changes

* Tue Feb 24 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.4.3-1m)
- version 0.4.3

* Wed Jan 28 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.4.2-3m)
- apply gcc44 patch

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.4.2-2m)
- rebuild against rpm-4.6

* Thu Dec 25 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.4.2-1m)
- version 0.4.2

* Sun Nov  2 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.4.0-2m)
- fix up libdir

* Sun Nov  2 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.4.0-1m)
- version 0.4.0
- add a package devel
- add desktop.patch
- modify install icons section

* Sat Jun  7 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.3.2-4m)
- rebuild against wine-devel

* Thu May  8 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.3.2-3m)
- rebuild against qt3

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.3.2-2m)
- rebuild against gcc43

* Fri Mar 14 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.3.2-1m)
- version 0.3.2

* Thu Feb 14 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.3.1-2m)
- %%NoSource -> NoSource

* Wed Nov 14 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.3.1-1m)
- version 0.3.1
- update lmms.desktop
- revise lmms-16.png
- add lmms-64.png
- License: GPLv2

* Thu Aug 30 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.3.0-2m)
- build without wine on i686 for the moment

* Thu Aug 30 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.3.0-1m)
- version 0.3.0
- build without festival and libstk for the moment

* Sun Aug 12 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.2.1-3m)
- rebuild against libvorbis-1.2.0-1m

* Wed May  2 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2.1-2m)
- revise lmms.desktop

* Thu Apr 12 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2.1-1m)
- initial package for Momonga Linux
- import plugindir.patch from packman lmms-0.2.1-0.pm.1.src.rpm
- import and modify lmms.desktop from packman lmms-0.2.1-0.pm.1.src.rpm
- import icons from cooker
